/*
 * @Cameron Giarrusso APCS dice Feb 28, 2017
 */
package monopoly.rolls;

/**
 *
 * @author fcg
 */
/*
* This method makes a random die roll
*/
public class Die {
    
    private int max, min, roll;
    
    public Die(int max, int min){
        setRange(max, min);
        roll = max;
    }
    
    public Die(int sides){
        setRange(1, sides);
        roll = sides;
    }
    
    public void setRange(int max, int min){
        this.max = max;
        this.min = min;
    }
    
    public int roll(){
        roll = (int)(Math.random()*(max-min+1)+min);
        return roll;
    }
    
    public int getRoll(){
        return roll;
    }
    
    public int getMax(){
        return max;
    }
    
    public int getMin(){
        return min;
    } 
}
